Bug 28879 - Display of metadata with long label names looks terrible
Summary: Display of metadata with long label names looks terrible
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: ILL (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Andrew Isherwood
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-08-18 14:06 UTC by Andrew Isherwood
Modified: 2021-11-05 18:15 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.11.00


Attachments
Bug 28879: Fix display of request metadata (3.04 KB, patch)
2021-08-18 14:09 UTC, Andrew Isherwood
Details | Diff | Splinter Review
Bug 28879: Fix display of request metadata (3.40 KB, patch)
2021-09-24 15:32 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28879: Fix display of request metadata (3.46 KB, patch)
2021-11-01 12:28 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Isherwood 2021-08-18 14:06:35 UTC
This has come to light whilst developing a RapidILL backend.

When viewing a request, the request metadata display is completely borked if a metadata property name is long. The CSS appears to be trying to emulate a table layout, which only works with short metadata labels. This can much better be achieved with Flex.
Comment 1 Andrew Isherwood 2021-08-18 14:09:34 UTC
Created attachment 123961 [details] [review]
Bug 28879: Fix display of request metadata

This commit adjusts the CSS surrounding the display of request metadata,
it improves the display for metadata with long key names.
Comment 2 Andrew Isherwood 2021-08-18 14:11:28 UTC
Test plan:

- Do not apply patch
- Create a FreeForm ILL request with a custom metadata field with a long name
- View the created request
- Observe that the long metadata name breaks the display of the metadata
- Apply the patch
- View the created request
=> TEST: Observe that the display is no longer broken
Comment 3 Owen Leonard 2021-09-24 15:32:28 UTC
Created attachment 125276 [details] [review]
Bug 28879: Fix display of request metadata

This commit adjusts the CSS surrounding the display of request
metadata, it improves the display for metadata with long key names.

Test plan:

- Do not apply patch
- Create a FreeForm ILL request with a custom metadata field with a long
  name
- View the created request
- Observe that the long metadata name breaks the display of the metadata
- Apply the patch
- View the created request
  => TEST: Observe that the display is no longer broken

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 4 Katrin Fischer 2021-11-01 12:28:14 UTC
Created attachment 127164 [details] [review]
Bug 28879: Fix display of request metadata

This commit adjusts the CSS surrounding the display of request
metadata, it improves the display for metadata with long key names.

Test plan:

- Do not apply patch
- Create a FreeForm ILL request with a custom metadata field with a long
  name
- View the created request
- Observe that the long metadata name breaks the display of the metadata
- Apply the patch
- View the created request
  => TEST: Observe that the display is no longer broken

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2021-11-03 14:31:33 UTC
Pushed to master for 21.11, thanks to everybody involved!